summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/git-helper.sh2
-rw-r--r--scripts/prep-librewolf-rpm.conf8
-rwxr-xr-xscripts/prep-librewolf-rpm.sh2
3 files changed, 7 insertions, 5 deletions
diff --git a/scripts/git-helper.sh b/scripts/git-helper.sh
index 6263589..6b88173 100755
--- a/scripts/git-helper.sh
+++ b/scripts/git-helper.sh
@@ -35,5 +35,5 @@ grep -qE '\.\*\.swp' .gitignore || echo '.*.swp' >> .gitignore
rm -f sources
# Add git remote
-git remote add gitlab https://gitlab.com/bgstack15/librewolf-fedora-ff.git
+git remote add gitlab "${fedora_ff_repo}"
git pull --all
diff --git a/scripts/prep-librewolf-rpm.conf b/scripts/prep-librewolf-rpm.conf
index c4b42e4..f327058 100644
--- a/scripts/prep-librewolf-rpm.conf
+++ b/scripts/prep-librewolf-rpm.conf
@@ -3,10 +3,12 @@
# Available options for DISTRO: fedora
DISTRO=${DISTRO:-'fedora'}
-# current version of Firefox package in target distro
-distro_firefox_release=${distro_firefox_release:-'6'}
+# current release of Firefox package in target distro; just Release and not EVR
+distro_firefox_release=${distro_firefox_release:-'1'}
# current version of Firefox, as defined by name of the orig tarball.
-firefox_version=${firefox_version:-'88.0'}
+firefox_version=${firefox_version:-'88.0.1'}
settings_commit=${settings_commit:-'master'}
CI_PROJECT_DIR=${CI_PROJECT_DIR:-$(realpath $(dirname $0)/../)}
output_dir=${CI_PROJECT_DIR}/out
+
+fedora_ff_repo=https://gitlab.com/bgstack15/librewolf-fedora-ff.git
diff --git a/scripts/prep-librewolf-rpm.sh b/scripts/prep-librewolf-rpm.sh
index 8e9ef01..0024628 100755
--- a/scripts/prep-librewolf-rpm.sh
+++ b/scripts/prep-librewolf-rpm.sh
@@ -251,7 +251,7 @@ if test -z "${SKIP_SRC_RPM}" ; then
fi
# Upstream fedora firefox does not include some tarballs for some weird reason, so let's pull them from Fedora src.rpm and rip them out
# Unfortunately the version available may not be identical to what is in src.fedoraproject.org
- cd "${work_dir}" ; dnf download --source firefox
+ cd "${work_dir}" ; dnf download --source firefox || :
this_srcrpm="$( find . -iname 'firefox-*.src.rpm' -printf '%f\n' | sort | tail -n1 )"
# find the tarballs closest to these expressions: cbindgen-vendor
cd "${src_rpm_dir}" ; rpm2cpio "${work_dir}/${this_srcrpm}" | cpio -idm $( spectool -l --sources "${src_rpm_dir}/librewolf.spec" | awk '$NF ~/z$/ && $NF ~ /cbindgen/{print $NF}' )
bgstack15